package geniusweb.actions;

import com.fasterxml.jackson.annotation.JsonCreator;
import com.fasterxml.jackson.annotation.JsonProperty;

import geniusweb.issuevalue.Bid;

/**
 * An offer represents a proposal from some actor that others may accept.
 * Executing an Offer action usually means that the party doing the action
 * accepts the offer himself.
 */
public class Offer extends ActionWithBid {

	@JsonCreator
	public Offer(@JsonProperty("actor") PartyId id,
			@JsonProperty("bid") Bid bid) {
		super(id, bid);
	}

	@Override
	public String toString() {
		return "Offer[" + getActor() + "," + getBid() + "]";
	}

}
